Skip to Content
veriom

Get cloud connection

GET
/v1/workspaces/{workspace_id}/cloud-connections/{connection_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
connection_id*Connection Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
account_ref?|

AWS account id, Azure subscription id or GCP project id, once ready.

callback_expires_at*|null
completed_at*|null
created_at*Created At
Formatdate-time
id*Id
Formatuuid
last_snapshot_at*|null
parameters*
provider*Provider
Value in"aws""azure""gcp"
repository_id*Repository Id
Formatuuid
setup_pull_request_number*integer|null
setup_pull_request_url*string|null
state*State
Value in"pending""ready""revoked"
subject*Subject

The GitHub OIDC subject the cloud identity trusts.

workspace_id*Workspace Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/cloud-connections/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "account_ref": "string",  "callback_expires_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_snapshot_at": "2019-08-24T14:15:22Z",  "parameters": {    "property1": "string",    "property2": "string"  },  "provider": "aws",  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "setup_pull_request_number": 0,  "setup_pull_request_url": "string",  "state": "pending",  "subject": "string",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}